|  | reflex::Input::streambuf Class Reference updated Sun May 12 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
reflex::Input::streambuf Class Reference

Stream buffer for reflex::Input, derived from std::streambuf. More...

`#include <input.h>`

Inheritance diagram for reflex::Input::streambuf:
[legend]
Collaboration diagram for reflex::Input::streambuf:
[legend]

## Public Member Functions

| streambuf (const reflex::Input &input)

## Protected Member Functions

virtual int_type | underflow ()
virtual int_type | uflow ()
virtual std::streamsize | xsgetn (char *s, std::streamsize n)
virtual std::streamsize | showmanyc ()

## Protected Attributes

Input | input_
int | ch_

## Detailed Description

Stream buffer for reflex::Input, derived from std::streambuf.

## Constructor & Destructor Documentation

reflex::Input::streambuf::streambuf | ( | const reflex::Input & | input | ) |

inline

## Member Function Documentation

virtual std::streamsize reflex::Input::streambuf::showmanyc | ( |  | ) |

inlineprotectedvirtual

virtual int_type reflex::Input::streambuf::uflow | ( |  | ) |

inlineprotectedvirtual

virtual int_type reflex::Input::streambuf::underflow | ( |  | ) |

inlineprotectedvirtual

virtual std::streamsize reflex::Input::streambuf::xsgetn | ( | char * | s,
|  | std::streamsize | n
| ) |  |

inlineprotectedvirtual

## Member Data Documentation

int reflex::Input::streambuf::ch_

protected

Input reflex::Input::streambuf::input_

protected

The documentation for this class was generated from the following file:

- input.h